---
title: MediaStreamEvent
slug: Web/API/MediaStreamEvent
tags:
  - API
  - Experimental
  - Expérimental(2)
  - Interface
  - Reference
  - Référence(2)
  - WebRTC
---
<p>{{APIRef("WebRTC")}}{{deprecated_header}}</p>

<p>The <strong><code>MediaStreamEvent</code></strong> interface represents events that occurs in relation to a {{domxref("MediaStream")}}. Two events of this type can be thrown: {{event("addstream")}} and {{event("removestream")}}.</p>

<h2 id="Properties">Properties</h2>

<p><em>A {{domxref("MediaStreamEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.</p>

<dl>
 <dt>{{domxref("MediaStreamEvent.stream")}} {{readOnlyInline}}</dt>
 <dd>Contains the {{domxref("MediaStream")}} containing the stream associated with the event.</dd>
</dl>

<h2 id="Constructors">Constructors</h2>

<dl>
 <dt>{{domxref("MediaStreamEvent.MediaStreamEvent()", "MediaStreamEvent()")}}</dt>
 <dd>Returns a new <code>MediaStreamEvent</code>. It takes two parameters, the first being a {{domxref("DOMString")}} representing the type of the event; the second a dictionary containing the {{domxref("MediaStream")}} it refers to.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>A {{domxref("MediaStreamEvent")}} being an {{domxref("Event")}}, this event also implements these properties</em>.  <em>There is no specific <em>{{domxref("MediaStreamEvent")}}</em> method.</em></p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">pc.onaddstream = function( ev ) {
  alert("A stream (id: '" + ev.stream.id + "') has been added to this connection.");
};
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStreamEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/Guide/API/WebRTC" title="/en-US/docs/CSS/Using_CSS_animations">WebRTC</a></li>
 <li>Its usual target: {{domxref("RTCPeerConnection")}}.</li>
</ul>
